////////////////////////
// Star Rating v1.0.2 //
////////////////////////

function init(bricVersion,framework)
{
	// Set Alignment Value
	var alignmentVal = getAlignmentState($('.rating-container'));
	window.webkit.messageHandlers.setUIVal.postMessage('{"attr":"star-alignment","value":"'+alignmentVal+'","sync":"false"}');
}

// Set Text Value
function setTextValue(textVal,attrName)
{
	$('.rating-label').text(textVal);
	bricSync("changes"); // Sync Changes
}

// Set Type Face
function setTypeface(typeFace,attrName)
{
	var label = $('.rating-label');

	if (typeFace.indexOf(":")!= -1 ) // Font has a weight
	{
		var breakIndx = typeFace.indexOf(":");
		label.css("font-family",typeFace.substring(0,breakIndx));
		label.css("font-weight",typeFace.substring(breakIndx+1));
	}
	else // Simple Font
	{
		label.css("font-family",typeFace);
	}
	
	bricSync("changes"); // Sync Changes
}

// Set Text Color
function setTextColor(textColor,attrName)
{
	$('.rating-label').css('color', textColor);
	bricSync("changes"); // Sync Changes
}

// Set Score
function setScore(scoreVal,attrName)
{
	var width = (scoreVal*100/5);
	$('.rating-score').css('width',width+'%');
	bricSync("changes"); // Sync Changes
}

// Set Width
function setWidth(widthVal,attrName)
{
	$('.rating-empty svg').attr('width',widthVal).attr('height',widthVal/3);
	$('.rating-score svg').attr('width',widthVal).attr('height',widthVal/3);
	bricSync("changes"); // Sync Changes
}

// Set Alignment
function setAlignment(alignment,attrName)
{
	applyAlignmentClass($('.rating-container'), alignment, true);
}

// Set Star Color
function setStarColor(fillColor,attrName)
{
	var targetLayer = '.rating-empty'; // Default Empty

	if (attrName == 'star-fill-color') // Fill Color
	{
		targetLayer = '.rating-score';
	}
	
	$(targetLayer+' svg').attr('fill',fillColor);
	bricSync("changes"); // Sync Changes
}